--- title: "Delete Firewall Policy" slug: "delete-firewall-policy-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:21Z published: 2026-11-19T12:57:21Z canonical: "docs.trellix.com/delete-firewall-policy-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete Firewall Policy This URL deletes the specified firewall policy. ### Resource URL DELETE /firewallpolicy/ ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `policy_id` | Policy id | Number | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Update status | Number | ### Example **Request** DELETE [https:///sdkapi/firewallpolicy/120](https://<NSM_IP>/sdkapi/firewallpolicy/120) **Response** ``` { "status":1 } ``` ### Error Information Following error code is returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1801 | Invalid firewall policy id/ firewall policy not visible to this domain |